package sharin.doc.builder.xhtml1;

public class IframeElem extends GenericCoreElem<IframeElem> {

    public IframeElem(Object... nodes) {
        super("iframe", nodes);
    }

    public IframeElem align(Object value) {
        return attr("align", value);
    }

    public IframeElem alignBottom() {
        return align("bottom");
    }

    public IframeElem alignLeft() {
        return align("left");
    }

    public IframeElem alignMiddle() {
        return align("middle");
    }

    public IframeElem alignRight() {
        return align("right");
    }

    public IframeElem alignTop() {
        return align("top");
    }

    public IframeElem frameborder(Object value) {
        return attr("frameborder", value);
    }

    public IframeElem frameborder0() {
        return frameborder("0");
    }

    public IframeElem frameborder1() {
        return frameborder("1");
    }

    public IframeElem height(Object value) {
        return attr("height", value);
    }

    public IframeElem longdesc(Object value) {
        return attr("longdesc", value);
    }

    public IframeElem marginheight(Object value) {
        return attr("marginheight", value);
    }

    public IframeElem marginwidth(Object value) {
        return attr("marginwidth", value);
    }

    public IframeElem name(Object value) {
        return attr("name", value);
    }

    public IframeElem scrolling(Object value) {
        return attr("scrolling", value);
    }

    public IframeElem scrollingAuto() {
        return scrolling("auto");
    }

    public IframeElem scrollingNo() {
        return scrolling("no");
    }

    public IframeElem scrollingYes() {
        return scrolling("yes");
    }

    public IframeElem src(Object value) {
        return attr("src", value);
    }

    public IframeElem width(Object value) {
        return attr("width", value);
    }
}
